WordPress: запрет обновлений плагинов

Код предлагаемого варианта решения

<?php
remove_action( 'load-update-core.php', 'wp_update_plugins' );
add_filter( 'pre_site_transient_update_plugins', create_function( '$nop', "return null;" ) );
?>

Краткие пояснения к материалу заметки

Представленный фрагмент кода просто запрещает WordPress проверять, есть ли обновления для плагинов. Это может быть полезно, если вы создаете коммерческий сайт для клиента, и не хотите, чтобы новые версии плагинов заставили бы вас изменить код, или если вы беспокоитесь о том, что "лишний" апдейт может нарушить работу блога. Описанное актуально для версии 3.3.2. На иных версиях системы работа сниппета не гарантируется.

WordPress плагины надо обновлять



топ 10 брокеров бинарных опционов

© 2012-2014 Druweb.ru. Вы можете спокойно копировать любые материалы сайта только при наличии обратной ссылки.